> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxworks.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create list

> Create a new contact list.



## OpenAPI

````yaml /openapi.yaml post /api/v1/create-list
openapi: 3.1.0
info:
  title: Voxworks API
  version: 1.0.0
  description: >-
    Public REST API for creating contacts, scheduling calls, retrieving call
    results, managing lists and objects, and receiving automation webhooks.
servers:
  - url: https://api.voxworks.ai
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Health
  - name: Contacts
  - name: Calls
  - name: Lists
  - name: Objects
  - name: Webhooks
paths:
  /api/v1/create-list:
    post:
      tags:
        - Lists
      summary: Create list
      description: Create a new contact list.
      operationId: createList
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  maxLength: 255
            example:
              name: February follow-up list
      responses:
        '201':
          description: List created.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  list_id:
                    type: string
                  list:
                    $ref: '#/components/schemas/List'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    List:
      type: object
      additionalProperties: true
      properties:
        id:
          type: string
        name:
          type: string
        team_id:
          type: string
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/Contact'
    Contact:
      type: object
      additionalProperties: true
      properties:
        id:
          type: string
        team_id:
          type: string
        phone_number:
          type: string
          example: '+61429069971'
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        full_name:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        object_data:
          type: object
          additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
  responses:
    BadRequest:
      description: Missing or invalid request data.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Missing, malformed, or invalid authorization.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            invalid:
              value:
                success: false
                message: Invalid API key
    RateLimited:
      description: Rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: string
        X-RateLimit-Limit:
          schema:
            type: string
        X-RateLimit-Remaining:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: Rate limit exceeded
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: Internal server error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: 'API key from Voxworks, sent as `Authorization: Bearer YOUR_API_KEY`.'

````